

<?php

/*
*<!-- begin of generated class -->
* -------------------------------------------------------
* CLASSNAME:        tbl_book_other_services
* GENERATION DATE:  08.03.2017
* CLASS FILE:       D:\wamp\www\Classgenerator/generated_classes/class.tbl_book_other_services.php
* FOR MYSQL TABLE:  tbol_book_other_services
* FOR MYSQL DB:     poorna_pooja
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_book_other_services
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************



var $service_booking_id;   // (normal Attribute)
var $is_deleted;   // (normal Attribute)
var $service_type;   // (normal Attribute)
var $service_sub_type;   // (normal Attribute)
var $customer_name;   // (normal Attribute)
var $customer_mobile;   // (normal Attribute)
var $customer_email;   // (normal Attribute)
var $customer_address;   // (normal Attribute)
var $booking_date;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

function tbl_book_other_services()
{

$this->database = new Database();

}


// **********************
// GETTER METHODS
// **********************


function getservice_booking_id()
{
return $this->service_booking_id;
}

function getis_deleted()
{
return $this->is_deleted;
}

function getservice_type()
{
return $this->service_type;
}

function getservice_sub_type()
{
return $this->service_sub_type;
}
function getcustomer_name()
{
return $this->customer_name;
}

function getcustomer_mobile()
{
return $this->customer_mobile;
}

function getcustomer_email()
{
return $this->customer_email;
}

function getcustomer_address()
{
return $this->customer_address;
}

function getbooking_date()
{
return $this->booking_date;
}

// **********************
// SETTER METHODS
// **********************


function setservice_booking_id($val)
{
$this->service_booking_id =  $val;
}

function setis_deleted($val)
{
$this->is_deleted =  $val;
}

function setservice_type($val)
{
$this->service_type =  $val;
}

function setservice_sub_type($val)
{
$this->service_sub_type =  $val;
}

function setcustomer_name($val)
{
$this->customer_name =  $val;
}

function setcustomer_mobile($val)
{
$this->customer_mobile =  $val;
}

function setcustomer_email($val)
{
$this->customer_email =  $val;
}

function setcustomer_address($val)
{
$this->customer_address =  $val;
}

function setbooking_date($val)
{
$this->booking_date =  $val;
}

// **********************
// SELECT METHOD / LOAD
// **********************

function select($id)
{

$sql =  "SELECT * FROM tbol_book_other_services WHERE  service_booking_id= $id;";
$result =  $this->database->query($sql);
$result = $this->database->result;
$row = mysqli_fetch_object($result);


$this->service_booking_id = $row->service_booking_id;

$this->is_deleted = $row->is_deleted;

$this->service_type = $row->service_type;

$this->service_sub_type = $row->service_sub_type;

$this->customer_name = $row->customer_name;

$this->customer_mobile = $row->customer_mobile;

$this->customer_email = $row->customer_email;

$this->customer_address = $row->customer_address;

$this->booking_date = $row->booking_date;

}

// **********************
// DELETE
// **********************

function delete($id)
{
//$sql = "DELETE FROM tbol_book_other_services WHERE  service_booking_id= $id;";
$sql = "UPDATE tbol_book_other_services SET  is_deleted = '1' WHERE  service_booking_id= $id;";

$result = $this->database->query($sql);

}

// **********************
// INSERT
// **********************

function insert()
{


$sql = "INSERT INTO tbol_book_other_services (is_deleted,service_type,service_sub_type,customer_name,customer_mobile,customer_email,customer_address,booking_date ) VALUES ( '$this->is_deleted','$this->service_type','$this->service_sub_type','$this->customer_name','$this->customer_mobile','$this->customer_email','$this->customer_address','$this->booking_date' )";
$result = $this->database->query($sql);
return mysqli_insert_id($this->database->link);

}

// **********************
// UPDATE
// **********************

function update($id)
{



$sql = "UPDATE tbol_book_other_services SET  is_deleted = '$this->is_deleted',service_type = '$this->service_type',service_sub_type = '$this->service_sub_type',customer_name = '$this->customer_name',customer_mobile = '$this->customer_mobile',customer_email = '$this->customer_email',customer_address = '$this->customer_address',booking_date = '$this->booking_date' WHERE  service_booking_id= $id ";

$result = $this->database->query($sql);



}
// Select All Other Services based on services type List
	function selectServiceTypeOtherServices($service_type)
	{
		
		try
		{
			$sql =  "SELECT * FROM tbol_book_other_services where service_type='$service_type' and is_deleted='0'";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  
				  $arr[$count] = new tbl_book_other_services();
				  $arr[$count]->setservice_booking_id($row->service_booking_id);
				  $arr[$count]->setis_deleted($row->is_deleted);
				  $arr[$count]->setservice_type($row->service_type);
				  $arr[$count]->setservice_sub_type($row->service_sub_type );
				  $arr[$count]->setcustomer_name($row->customer_name );
				  $arr[$count]->setcustomer_mobile($row->customer_mobile );
				  $arr[$count]->setcustomer_email($row->customer_email );
				  $arr[$count]->setcustomer_address($row->customer_address );
				  $arr[$count]->setbooking_date($row->booking_date );
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}


// Select All Other Services List
	function selectAllOtherServices()
	{
		
		try
		{
			$sql =  "SELECT * FROM tbol_book_other_services WHERE is_deleted='0'";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  
				  $arr[$count] = new tbl_book_other_services();
				  $arr[$count]->setservice_booking_id($row->service_booking_id);
				  $arr[$count]->setis_deleted($row->is_deleted);
				  $arr[$count]->setservice_type($row->service_type);
				  $arr[$count]->setservice_sub_type($row->service_sub_type );
				  $arr[$count]->setcustomer_name($row->customer_name );
				  $arr[$count]->setcustomer_mobile($row->customer_mobile );
				  $arr[$count]->setcustomer_email($row->customer_email );
				  $arr[$count]->setcustomer_address($row->customer_address );
				  $arr[$count]->setbooking_date($row->booking_date );
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}
} // class : end
// <!-- end of generated class -->
?>

